<script lang="ts" setup>
import { cn } from "@mykopkb/core/utils/cn";
import { input } from "@mykopkb/core/styles/input.styles";

const modelValue = defineModel<string>();

const {
  class: className,
  type,
} = defineProps<{
  class?: string;
  type?: string;
}>();
</script>

<template>
  <input v-model="modelValue" :type="type" :class="cn(input, className)" v-bind="$attrs" />
</template>
